microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
경로 매개 변수
name
string
필수
The name of the resource
version
string
필수
The specific version id of the DatasetVersion to operate on.
응답
The request has succeeded.
본문
Content-Type: application/json
blobReference
BlobReference
필수
Blob reference details.
blobUri
string
필수
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
필수
ARM ID of the storage account to use.
credential
SasCredential
필수
SAS Credential definition
sasUri
string
필수
SAS uri
type
enum
필수
Type of credential
SAS
요청
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json